(*^

::[paletteColors = 128; currentKernel; 
	fontset = title, nohscroll, center, bold,  24, "Times"; ;
	fontset = subtitle, nohscroll, center, bold,  18, "Times"; ;
	fontset = subsubtitle, nohscroll, center, bold,  14, "Times"; ;
	fontset = section, nohscroll, grayBox, bold,  18, "Times"; ;
	fontset = subsection, nohscroll, blackBox, bold,  14, "Times"; ;
	fontset = subsubsection, nohscroll, whiteBox, bold,  12, "Times"; ;
	fontset = text, nohscroll,  12;
	fontset = smalltext, nohscroll,  10, "Times"; ;
	fontset = input, nowordwrap, bold,  12, "Courier"; ;
	fontset = output, nowordwrap,  12, "Courier"; ;
	fontset = message, nowordwrap, R21845, G21845, B21845,  12, "Courier"; ;
	fontset = print, nowordwrap,  12, "Courier"; ;
	fontset = info, nowordwrap,  12, "Courier"; ;
	fontset = postscript, nowordwrap,  12, "Courier"; ;
	fontset = name, nowordwrap, nohscroll, italic, R21845, G21845, B21845,  11, "Times"; ;
	fontset = header,  10, "Times"; ;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, center,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, nohscroll,  14, "Times"; ;
	fontset = clipboard,  12;
	fontset = completions, nowordwrap,  16, "Courier"; ;
	fontset = special1, nowordwrap,  12;
	fontset = special2, nowordwrap, center,  12;
	fontset = special3, nowordwrap, right,  12;
	fontset = special4, nowordwrap,  12;
	fontset = special5, nowordwrap,  12;]
:[font = title; inactive; Cclosed; startGroup; ]
Lab 2:  Integrals
:[font = section; Cclosed; startGroup; ]
Antiderivatives
:[font = text; ]
The Integrate command is used to find antiderivatives of functions.  Its syntax is the same as the D command for finding derivatives.
;[s]
6:0,0;4,1;13,2;99,3;100,4;108,5;133,-1;
6:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; Cclosed; startGroup; ]
Examples
:[font = text; ]
Here are the 14 examples done in Section 7.1 of our textbook (pages 315-319):
:[font = input; Cclosed; startGroup; ]
Integrate[ 2x^4-3x+2, x ]
:[font = text; endGroup; ]
Note that Mathematica does not add on the arbitraty constant ( + C ).
;[s]
3:0,0;10,1;21,2;69,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; Cclosed; startGroup; ]
Integrate[ 4x^3/(x^4+1), x ]
:[font = text; endGroup; ]
Recall that all predefined functions (Sin[x], Log[x], etc.) are capitalized.
;[s]
5:0,0;38,1;44,2;46,3;52,4;77,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; ]
Integrate[ Sqrt[x], x ]
:[font = input; ]
Integrate[ 1/x^3, x ]
:[font = input; ]
Integrate[ 3Cos[x]-4Sin[x]+1/x^2, x ]
:[font = input; ]
Integrate[ x/(1+x^2), x ]
:[font = input; ]
Integrate[ Sin[x^2]*2x, x ]
:[font = input; Cclosed; startGroup; ]
Integrate[ E^(x^5) 5x^4, x ]
:[font = text; endGroup; ]
Recall that all predefined constants (Pi, E, etc.) are capitalized.
;[s]
5:0,0;38,1;40,2;42,3;43,4;68,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; ]
Integrate[ Sin[t]^2 Cos[t], t ]
:[font = input; Cclosed; startGroup; ]
Integrate[ (1+x^3)^5 x^2, x ]
:[font = text; ]
This answer differs from the one in the book by the constant 1/18:
:[font = input; ]
Simplify[ % + 1/18 ]
:[font = text; endGroup; ]
Recall that % always refers to the last output.
;[s]
3:0,0;11,1;14,2;48,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; Cclosed; startGroup; ]
Integrate[ 1/Sqrt[1+x^3], x ]
:[font = text; endGroup; ]
When Mathematica returns as output the same expression that you input, it is telling you that it cannot do it.  That was to be expected in this example, because the antiderivative is not an elementary function!
;[s]
3:0,0;5,1;16,2;210,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; ]
Integrate[ x^2/Sqrt[1+x^3], x ]
:[font = input; Cclosed; startGroup; ]
Integrate[ (x^2+1)/(2x-3)^2, x ]
:[font = text; endGroup; ]
This answer differs from the result in the book by the constant 3/8.
:[font = input; endGroup; ]
Integrate[ 1/(a*x+b)^n, x ]  //  Simplify
:[font = subsection; Cclosed; pageBreak; startGroup; ]
Exercises
:[font = text; ]
Do the following exercises from the homework.  Check Mathematica's answers with those in the back of the book.  If the answers are not the same, try to reconcile Mathematica's answer as we did above on Example 10, or use the Expand command on the answer given in the book.  If these don't work, then check the answer given in the book by executing the D command on it.
;[s]
9:0,0;53,1;64,2;162,3;173,4;224,5;232,6;351,7;354,8;369,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; ]
1.  Exercise 39 on page 322.
:[font = text; ]
2.  Exercise 49 on page 322.
:[font = text; ]
3.  Exercise 55 on page 322.
:[font = text; ]
4.  Exercise 57 on page 322.
:[font = text; ]
5.  Exercise 1 on page 329.  (Use Factor[%] on the result.)
;[s]
3:0,0;33,1;44,2;60,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; ]
6.  Exercise 3 on page 329.
:[font = text; ]
7.  Exercise 13 on page 329.
:[font = text; ]
8.  Exercise 19 on page 329.  (Use Simplify[%] on the result.)
;[s]
3:0,0;34,1;47,2;63,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; ]
9.  Exercise 11 on page 335.
:[font = text; ]
10.  Exercise 13 on page 335.
:[font = text; ]
11.  Exercise 21 on page 335.
:[font = text; endGroup; endGroup; ]
12.  Exercise 33 on page 335.
:[font = section; Cclosed; pageBreak; startGroup; ]
Rules of Integration
:[font = text; ]
Mathematica knows the standard rules of integration, just as it knows the standard rules of differentiation.
;[s]
2:0,0;11,1;108,-1;
2:1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; Cclosed; startGroup; ]
Examples
:[font = input; ]
Clear[f]
:[font = text; Cclosed; startGroup; ]
Here is the Fundamental Theorem of Calculus:
:[font = input; endGroup; ]
Integrate[ f'[x], x ]
:[font = text; Cclosed; startGroup; ]
Here are some of the simple rules:
:[font = input; ]
Integrate[ c*f[x], x ]
:[font = input; endGroup; ]
Integrate[ f[x] + g[x], x ]
:[font = text; Cclosed; startGroup; ]
Here is the Method of Substitution formula (the reverse Chain Rule):
:[font = input; endGroup; ]
Integrate[ f'[g[x]]*g'[x], x ]
:[font = text; Cclosed; startGroup; ]
Here is the Method of Integration by Parts formula (the reverse Product Rule):
:[font = input; endGroup; endGroup; ]
Integrate[ f[x]*g'[x], x ]
:[font = subsection; Cclosed; startGroup; ]
Exercises
:[font = text; ]
Use Mathematica's Integrate command to verify the following integral formulas listed on the inside front cover of your textbook:
;[s]
5:0,0;4,1;15,2;18,3;27,4;128,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; ]
1.  Formulas 1.
:[font = text; ]
2.  Formula 3.
:[font = text; ]
3.  Formula 5.
:[font = text; ]
4.  Formula 9.
:[font = text; ]
5.  Formula 10.
:[font = text; ]
6.  Formula 26.
:[font = text; ]
7.  Formulas 31.
:[font = text; ]
8.  Formula 32.
:[font = text; ]
9.  Formulas 33.
:[font = text; ]
10.  Formula 48.
:[font = text; ]
11.  Formula 63.
:[font = text; endGroup; endGroup; ]
12.  Formula 67.
:[font = section; Cclosed; pageBreak; startGroup; ]
Definite Integrals
:[font = text; ]
Definite integrals (integrals over specific intervals) are done the same way as indefinite integrals (antiderivatives).  The bounds on the integral are given with the variable of integration in the second part of the Integrate command.
;[s]
3:0,0;217,1;226,2;236,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; Cclosed; startGroup; ]
Example
:[font = text; ]
Here is Example 12 on page 320:
:[font = input; endGroup; ]
Integrate[ (x^2+1)/(2x-3)^2, {x,2,4} ]
:[font = subsection; Cclosed; startGroup; ]
Exercises
:[font = text; ]
Do the following exercises from the homework.  Check Mathematica's answers with those in the back of the book.  If the answers do not seem the same, use the N command to compare their numeric values.
;[s]
5:0,0;53,1;64,2;157,3;158,4;200,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; ]
1.  Exercise 7 on page 329.
:[font = text; ]
2.  Exercise 9 on page 329.  Use ArcSin[x].
;[s]
3:0,0;32,1;42,2;43,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; endGroup; endGroup; ]
3.  Exercise 17 on page 329.  Use E  for the constant e.
;[s]
6:0,0;33,1;35,2;53,3;54,4;55,5;57,-1;
6:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = section; Cclosed; startGroup; ]
Wallis' Formulae
:[font = text; ]
John Wallis (1616-1703) was Savilian professor of geometry at Oxford for 54 years.  He made many primary contributions to mathematics.  His book Arithmetica Infinitorum (1656) explained Descartes method of analytic geometry and the use of negative and fractional exponents.  It also introduced our present symbol for infinity:  Wallis' work did much to pave the way for his great contemporary, Isaac Newton.

This section investigates a sequence of formulas that Wallis discovered in his efforts to compute pi.  They are derived in Exercise 41 on page 330 in our textbook.  We will use four different definitions for the sequence I[n], denoting them by I1[n], I2[n], I3[n], and I4[n].  Then we will see that these four sequences are the same, thereby producing Wallis' formulae.
;[s]
15:0,0;145,1;168,2;326,3;328,4;631,5;635,6;654,7;659,8;661,9;666,10;668,11;673,12;679,13;684,14;785,-1;
15:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; Cclosed; pageBreak; startGroup; ]
Example
:[font = text; Cclosed; startGroup; ]
First define the sequence of numbers I1[0], I1[1], I1[2], I1[3], ...  by:
;[s]
9:0,0;37,1;42,2;44,3;49,4;51,5;56,6;58,7;63,8;73,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; endGroup; ]
I1[n_] := Integrate[ Sin[x]^n, {x,0,Pi/2} ]
:[font = text; Cclosed; startGroup; ]
The first 8 numbers in the sequence are:
:[font = input; ]
Table[ {n,I1[n]}, {n,0,7} ]  //  TableForm
:[font = text; endGroup; ]
It appears that the even-numbered terms (I1[0], I1[2], I1[4],  ... ) are all fractional multiples of pi, while the odd-numbered terms (I1[1], I1[3], I1[5], ... ) are all pure rational numbers.
;[s]
13:0,0;41,1;46,2;48,3;53,4;55,5;60,6;135,7;140,8;142,9;147,10;149,11;154,12;192,-1;
13:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; Cclosed; startGroup; ]
We can examine these two subsequences separately by using 2k in place of n for the even-numbered terms and by using 2k+1 in place of n for the odd-numbered terms:
;[s]
9:0,0;58,1;60,2;73,3;74,4;116,5;120,6;133,7;134,8;163,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; ]
Table[ {2k,I1[2k]}, {k,0,4} ]  //  TableForm
:[font = input; endGroup; ]
Table[ {2k+1,I1[2k+1]}, {k,0,4} ]  //  TableForm
:[font = text; Cclosed; startGroup; ]
To discover the pattern for the even-numbered terms, examine the ratios of each term to its predecessor:
:[font = input; ]
Table[ {2k,I1[2k]/I1[2k-2]}, {k,1,4} ]  //  TableForm
:[font = text; endGroup; ]
This shows that I1[2]=(1/2)*I1[0], I1[4]=(3/4)*I1[2], I1[6]=(5/6)*I1[4], and I1[8]=(7/8)*I1[6].  So, a reasonable conclusion would be that I1[n]=((n-1)/n)*I1[n-2], for even n>0.  That is the conclusion to Exercise 41(b).
;[s]
13:0,0;15,1;33,2;34,3;52,4;53,5;71,6;76,7;94,8;138,9;162,10;172,11;176,12;221,-1;
13:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; Cclosed; startGroup; ]
Now we'll use that recursion formula to define the sequence I2[n]:
;[s]
3:0,0;59,1;65,2;66,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; ]
I2[0] = Pi/2;
I2[1] = 1;
I2[n_] := ((n-1)/n)*I2[n-2];
:[font = text; ]
This (recursively) defines the sequence I2[0], I2[1], I2[2], I2[3], ... .  The following table indicates that it is the same as the sequence I1[0], I1[1], I1[2], I1[3], ... :
;[s]
17:0,0;40,1;45,2;47,3;52,4;54,5;59,6;61,7;66,8;141,9;146,10;148,11;153,12;155,13;160,14;162,15;167,16;174,-1;
17:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; endGroup; ]
Table[ {n,I1[n],I2[n]}, {n,0,16} ]  //  TableForm
:[font = text; Cclosed; startGroup; ]
The recursive formulas I1[2]=(1/2)*I1[0], I1[4]=(3/4)*I1[2], I1[6]=(5/6)*I1[4], I1[8]=(7/8)*I1[6], etc. may be combined to derive closed forms:
  I1[2] = (1/2)*I1[0],
  I1[4] = (3/4)*I1[2] = (3/4)*(1/2)*I1[0],
  I1[6] = (5/6)*I1[4] = (5/6)*(3/4)*(1/2)*I1[0],
  I1[8] = (7/8)*I1[6] = (7/8)*(5/6)*(3/4)*(1/2)*I1[0],
;[s]
23:0,0;22,1;40,2;41,3;59,4;60,5;78,6;79,7;97,8;145,9;165,10;166,11;167,12;168,13;208,14;209,15;210,16;211,17;257,18;258,19;259,20;260,21;312,22;314,-1;
23:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; ]
The fractional factors (7/8)*(5/6)*(3/4)*(1/2) can be expressed in terms
of factorials, as the following expressions demonstrate:
;[s]
3:0,0;22,1;47,2;129,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; pageBreak; ]
(7/8)*(5/6)*(3/4)*(1/2)
:[font = input; ]
(7*5*3*1)/(8*6*4*2)
:[font = input; ]
(8*7*6*5*4*3*2*1)/(8*8*6*6*4*4*2*2)
:[font = input; ]
(8*7*6*5*4*3*2*1)/(8*6*4*2)^2
:[font = input; ]
(8*7*6*5*4*3*2*1)/((2*4)*(2*3)*(2*2)*(2*1))^2
:[font = input; ]
(8*7*6*5*4*3*2*1)/((2*2*2*2)*(4*3*2*1))^2
:[font = input; ]
(8*7*6*5*4*3*2*1)/((2^4)*(4*3*2*1))^2
:[font = input; ]
(8!)/((2^4)*(4!))^2
:[font = input; endGroup; ]
(8!)/(2^8*4!^2)
:[font = text; Cclosed; startGroup; ]
These are all equal.  The last form then suggests that the following closed form definition will produce the same sequence as I1[n] and I2[n]:
;[s]
5:0,0;125,1;132,2;135,3;141,4;143,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; endGroup; ]
I3[n_] := (n!/(2^n*(n/2)!^2))*(Pi/2)
:[font = text; Cclosed; startGroup; ]
Finally, we use the Table command again to see that all three sequences really are the same for even values of n:
;[s]
5:0,0;19,1;26,2;110,3;112,4;113,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; ]
Table[ {2k,I1[2k],I2[2k],I3[2k]}, {k,0,10} ]  //  TableForm
:[font = text; endGroup; endGroup; ]
This verifies Wallis' formula for the first 10 even powers of Sin[x]:

Integrate[Sin[x]^n,{x,0,Pi/2}] = (n!/(2^n*(n/2)!^2))*(Pi/2)
;[s]
4:0,0;61,1;68,2;71,3;130,-1;
4:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = subsection; Cclosed; startGroup; ]
Exercise
:[font = text; ]
Do the same kind of analysis to find Wallis' formula for odd values of n.  After producing closed forms for I1[3], I1[5], I1[7], and I1[9], reduce I1[9] to factorials just as I1[8] was reduced to factorials above.  Use this to define a sequence I4[n] similar to I3[n] above, and then use the following command to check your formula for odd n.   [Hint: use (n-1)/2)!^2]
;[s]
23:0,0;71,1;72,2;108,3;113,4;115,5;120,6;122,7;127,8;133,9;138,10;147,11;152,12;175,13;180,14;244,15;250,16;261,17;267,18;340,19;341,20;356,21;367,22;368,-1;
23:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; endGroup; endGroup; endGroup; ]
Table[ {2k+1,I1[2k+1],I2[2k+1],I4[2k+1]}, {k,0,10} ]  //  
  TableForm
^*)