(*^

::[paletteColors = 128; automaticGrouping; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; Cclosed; preserveAspect; startGroup; ]
Lab 3: The Calculus of Inverse Functions 
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Inverse Functions
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; preserveAspect; ]
Consider the function f defined by:
;[s]
3:0,0;21,1;24,2;35,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
f[x_] := 2*Log[x+1]+3
:[font = text; inactive; preserveAspect; ]
Its graph is:
:[font = input; preserveAspect; ]
Plot[ f[x], {x,-.9,9} ];
:[font = text; inactive; preserveAspect; ]
The inverse of this function can be obtained by solving the equation y=f(x) for x in terms of y:
;[s]
7:0,0;68,1;76,2;79,3;82,4;93,5;95,6;97,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Solve[ y==f[x], x ]
:[font = text; inactive; preserveAspect; ]
In general, the output from the Solve command is a list of transformation rules.  In this case, the list contains only one transformation rule, because there is onle one solution to the equation.  The transformation rule says "replace x by -1+(E^(-3+y))^(1/2).  That is the inverse of the function f.
;[s]
7:0,0;234,1;237,2;239,3;259,4;297,5;299,6;301,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
To assign this inverse function to the function variable g, we must use the definition:
;[s]
3:0,0;56,1;58,2;87,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
g[y_] = x /. %[[1]]
:[font = text; inactive; preserveAspect; ]
This says to make g[y] the value of x in the first transformation rule listed in the previous output.  Recall that the percent sign always refers to the last output.  The double brackets [[]] are used to extract an item from a list.  We used [[1]] here because we wanted the first item in the list (which has only one item in it).
;[s]
9:0,0;17,1;23,2;35,3;38,4;186,5;192,6;241,7;248,8;330,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
The graph of g indicates that it is indeed the inverse of f:
;[s]
5:0,0;12,1;15,2;57,3;59,4;61,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot[ g[y], {y,-1,7} ];
:[font = text; inactive; preserveAspect; ]
The algebraic proof that g is the inverse of f requires verification of the identities g[f[x]]=x and f[g[y]]=y.
;[s]
9:0,0;24,1;27,2;44,3;47,4;87,5;97,6;100,7;110,8;112,-1;
9:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
g[y]
:[font = input; preserveAspect; ]
f[x]
:[font = input; preserveAspect; ]
g[f[x]]; 
:[font = text; inactive; preserveAspect; ]
To see that this really is the same as x itself, we have to "teach" Mathematica that the square root of the square is the absolute value.  We do that by defining the rule:
;[s]
3:0,0;38,1;41,2;171,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
sqrtsq = Sqrt[u_^2] -> Abs[u]
:[font = text; inactive; pageBreak; preserveAspect; ]
Here, sqrtsq is the name of the rule that we have
;[s]
3:0,0;5,1;13,2;225,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
Note that the underbar character _ must be used with the variable u on the left side of 
;[s]
5:0,0;32,1;35,2;65,3;68,4;89,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
Now we can re-evaluate g[f[x]], using this rule:
;[s]
3:0,0;22,1;30,2;48,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
g[f[x]] /. sqrtsq
:[font = text; inactive; preserveAspect; ]
The symbol /. is called the replacement operator.  It is pronounced "slash-dot."
;[s]
5:0,0;10,1;14,2;28,3;48,4;80,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
To see that this last expression is the same as x itself, we could define another rule telling Mathematica that Abs[1+x] is the same as 1+x.  But that rule is not true in all circumstancesonly when x>-1.  In this particular example, we know that x>-1 is true, because the expression Log[x+1] appears in the definition of f.
;[s]
17:0,0;47,1;50,2;95,3;106,4;111,5;121,6;135,7;139,8;198,9;203,10;246,11;252,12;283,13;293,14;321,15;323,16;325,-1;
17:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
We can check the other identity the 
:[font = input; preserveAspect; ]
f[g[y]] 
:[font = text; inactive; preserveAspect; ]
We need to teach Mathematica the following law of logarithms:
;[s]
3:0,0;17,1;28,2;61,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
multlg = p_*Log[u_] -> Log[u^p]
:[font = text; inactive; preserveAspect; ]
This allows the simplification:
:[font = input; preserveAspect; ]
f[g[y]] /. multlg
:[font = text; inactive; preserveAspect; ]
Mathematica also needs to learn that the exponential function E^u is the inverse of the natural logarithmic function:
;[s]
4:0,0;11,1;61,2;66,3;117,-1;
4:1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
lgex = Log[E^(u_)] -> u
:[font = text; inactive; preserveAspect; ]
Now we need to tell Mathematica to use both of these rules to simplify the expression:
;[s]
3:0,0;20,1;31,2;86,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
f[g[y]] //. {multlg,lgex}
:[font = text; inactive; preserveAspect; ]
This proves that g is indeed the inverse of f.
;[s]
5:0,0;16,1;19,2;43,3;45,4;47,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
The symbol //. is the repeated replacement operator, pronounced "double-slash-dot".  It is needed here because more than one rule is being used.
;[s]
5:0,0;10,1;15,2;22,3;51,4;144,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
We can also see that f and g are inverses of each other by graphing them together with the identity function y=x:
;[s]
7:0,0;20,1;23,2;26,3;29,4;108,5;112,6;114,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
Plot[ {f[x],g[x],x}, {x,-.9,8}, AspectRatio->Automatic ];
:[font = text; inactive; preserveAspect; endGroup; ]
This shows that the graphs of f and g are symmetric images of each other about the 45-degree line.  So a point (x,y) is on the graph of f if and only if the corresponding point (y,x) is on the graph of g.  For example, (0,3) is on the graph of f, and (3,0) is on the graph of g.
;[s]
21:0,0;29,1;32,2;35,3;38,4;110,5;117,6;135,7;138,8;176,9;183,10;201,11;203,12;218,13;225,14;243,15;245,16;251,17;257,18;275,19;277,20;279,-1;
21:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
For each of the following functions:
(a)  plot the graph of g;
(b)  solve the equation y==f[x] for the inverse function g;
(c)  plot the graph of g;
(d)  verify the identities g[f[x]]=x and f[g[y]]=y, teaching Mathematica any
        new rules that it needs to know to simplify the expressions;
(e)  plot the graphs of f, g, and the identity function on the same plot, to verify that the
        graphs of f and g are the symmetric images of each other about the 45-degree line.
:[font = text; inactive; preserveAspect; ]
1.  (5-3x)/(2x+7), {x,-2,4}
;[s]
4:0,0;4,1;17,2;18,3;27,-1;
4:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
2.  3*Cos[x], {x,0,Pi}
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
3.  (E^x-1)/(E^x+1), {x,-6,6}
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Derivatives of Inverse Functions
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; preserveAspect; ]
Continue now with our previous example:
:[font = input; preserveAspect; ]
f[x_] := 2*Log[x+1]+3
:[font = input; preserveAspect; ]
Solve[ y==f[x], x ]
:[font = input; preserveAspect; ]
g[y_] = x /. %[[1]]
:[font = input; preserveAspect; ]
Plot[ {f[x],g[x],x}, {x,-.9,8}, AspectRatio->Automatic ];
:[font = text; inactive; preserveAspect; ]
Here are the derivatives of f and its inverse g:
;[s]
5:0,0;27,1;30,2;45,3;47,4;49,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
f'[x]
:[font = input; preserveAspect; ]
g'[y]
:[font = text; inactive; preserveAspect; ]
How are these two functions related?
:[font = text; inactive; preserveAspect; ]
The answer lies in a simple application of the Chain Rule.  Since g[f[x]] = x, D[g[f[x]],x] = D[x,x].  By the Chain Rule, the left side is g'[f[x]]f'[x], and the right side is simply 1.  So, g'[f[x]] = 1/f'[x].  In other words, the derivative of the inverse is the reciprocal of the derivative.
;[s]
11:0,0;65,1;77,2;78,3;100,4;138,5;152,6;190,7;209,8;228,9;293,10;295,-1;
11:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
Check this fact on our example:
:[font = input; preserveAspect; ]
g'[f[x]]
:[font = text; inactive; pageBreak; preserveAspect; ]
Once again, we have to "teach" Mathemate about square roots:
;[s]
3:0,0;22,1;33,2;62,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
sqrtrule2 = u_^2/Sqrt[u_^2] -> u
:[font = input; preserveAspect; ]
g'[f[x]] /. sqrtrule2
:[font = input; preserveAspect; ]
1/f'[x]
:[font = text; inactive; preserveAspect; ]
The fact that the derivatives of inverse functions are reciprocals can be checked graphically.  Here is a "close-up" of our last plot, near the point where the the graphs intersect:
:[font = input; preserveAspect; ]
Plot[ {f[x],g[x],x}, {x,7.20,7.22}, 
      AspectRatio->Automatic ];
:[font = text; inactive; preserveAspect; endGroup; ]
At this degree of magnification, the curves are essentially the same as their tangent lines.  And we can see that these two tangent lines form the same angle with the 45-degree line because each is the reflection of the other about that line.  Let C be that angle.  Let A  be the angle the inclination of the steeper line, and let B be the angle of the shallower line.  Then A = 45 + C, and B = 45 - C, so:
tanA = tan(45 + C) = (tan45 + tanC) / (1 - tan45 tanC) = (1 + tanC) / (1 - tanC) 
tanB = tan(45 - C) = (tan45 - tanC) / (1 + tan45 tanC) = (1 - tanC) / (1 + tanC).
This shows that tanA and tanB are reciprocals.  Therefore, the slopes are reciprocals, because the slope of a line is the tangent of its inclination.
;[s]
17:0,0;381,1;382,2;398,3;399,4;422,5;423,6;437,7;438,8;459,9;460,10;507,11;508,12;522,13;523,14;544,15;545,16;729,-1;
17:1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
For the same functions given in the first exercise set, have Mathematica compute and simplify g'[f[x]] and 1/f'[x] to check that they are equal:
;[s]
7:0,0;61,1;72,2;93,3;103,4;106,5;115,6;144,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1.  (5-3x)/(2x+7), {x,-2,4}
:[font = text; inactive; preserveAspect; ]
2.  3*Cos[x], {x,0,Pi}
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
3.  (E^x-1)/(E^x+1), {x,-6,6}
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The Hyperbolic Functions
:[font = text; inactive; preserveAspect; ]
The trigonometric functions are called the circular functions because if x = cosq and y = sinq, then x^2 + y^2 = 1, the equation of the unit circle.  For each of the six circular functions, there is a corresponding hyperbolic function.  They are designated the same way as the circular functions, except that an h is appended to each name to indicate "hyperbolic."  Thus, the six hyperbolic functions are named sinh, cosh, tanh, coth, sech, and csch.  They are called the hyperbolic functions because if x = coshq and y = sinhq, then x^2 - y^2 = 1, the equation of the unit hyperbola.  The hyperbolic functions are discussed on pages 301-306 in our textbook.
;[s]
37:0,0;43,1;61,2;72,3;80,4;81,5;85,6;93,7;94,8;100,9;114,10;312,11;313,12;352,13;353,14;410,15;415,16;416,17;421,18;422,19;427,20;428,21;433,22;434,23;439,24;444,25;449,26;472,27;492,28;503,29;512,30;513,31;517,32;526,33;527,34;533,35;547,36;659,-1;
37:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; preserveAspect; ]
Here are the graphs of the hyperbolic functions:
:[font = input; preserveAspect; ]
Plot[ Sinh[x], {x,-4,4} ];
:[font = input; preserveAspect; ]
Plot[ Cosh[x], {x,-4,4} ];
:[font = input; preserveAspect; ]
Plot[ Tanh[x], {x,-4,4} ];
:[font = input; preserveAspect; ]
Plot[ Coth[x], {x,-4,4} ];
:[font = input; preserveAspect; ]
Plot[ Sech[x], {x,-4,4} ];
:[font = input; preserveAspect; ]
Plot[ Csch[x], {x,-4,4} ];
:[font = text; inactive; preserveAspect; ]
Unlike the circular functions, the hyperbolic functions are not periodic.  But that is just about the only feature that does not carry over to them.
;[s]
3:0,0;60,1;63,2;148,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
The sinh and the cosh are defined in terms of the exponential function E^x:
                sinh x = (E^x - E^-x)/2
                cosh x = (E^x + E^-x)/2
;[s]
8:0,0;3,1;9,2;16,3;22,4;70,5;74,6;76,7;171,-1;
8:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
The last four hyperbolic functions are defined in terms of the sinh and the cosh, in the same way that the last four circular functions are defined in terms of the sin and the cos:
                tanh x = (sinh x)/(cosh x)
                coth x = (cosh x)/(sinh x)
                sech x = 1/(cosh x)
                csch x = 1/(sinh x)
;[s]
12:0,0;62,1;68,2;71,3;80,4;163,5;168,6;171,7;179,8;181,9;266,10;267,11;355,-1;
12:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
These definitions can be verified as follows:
:[font = input; preserveAspect; ]
Simplify[(E^x-E^-x)/2 - Sinh[x]]
:[font = input; preserveAspect; ]
Simplify[(E^x+E^-x)/2 - Cosh[x]]
:[font = input; preserveAspect; ]
Simplify[ Sinh[x]/Cosh[x] - Tanh[x] ]
:[font = input; preserveAspect; ]
Simplify[ Cosh[x]/Sinh[x] - Coth[x] ]
:[font = input; preserveAspect; ]
Simplify[ 1/Cosh[x] - Sech[x] ]
:[font = input; preserveAspect; ]
Simplify[ 1/Sinh[x] - Csch[x] ]
:[font = text; inactive; pageBreak; preserveAspect; ]
Here are the derivatives of the hyperbolic functions:
:[font = input; preserveAspect; ]
Sinh'[x]
:[font = input; preserveAspect; ]
Cosh'[x]
:[font = input; preserveAspect; ]
Tanh'[x]
:[font = input; preserveAspect; ]
Coth'[x]
:[font = input; preserveAspect; ]
Sech'[x]
:[font = input; preserveAspect; ]
Csch'[x]
:[font = text; inactive; preserveAspect; ]
These follow the identical pattern as the circular functions, except for the signs.  The formulas for the sinh and cosh are obvious from their definitions in terms of the exponential function.  The other four formulas come from their definitions just like the tan, cot, sec, and csc functions.
;[s]
13:0,0;105,1;111,2;114,3;120,4;259,5;263,6;264,7;268,8;269,9;273,10;278,11;283,12;294,-1;
13:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
Every trigonometric identity has an analogous form for the hyperbolic functions.  For example, the analogue of the trig identity tan 2x = (2 tan x)/(1-(tan x)^2) is  tanh 2x = (2 tanh x)/(1+(tanh x)^2).  This is verified by the same method as above:
;[s]
5:0,0;128,1;162,2;165,3;201,4;249,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
Simplify[ 2Tanh[x]/(1+Tanh[x]^2) - Tanh[2x] ]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
1.  Exercises 1-2 on page 305.
:[font = text; inactive; preserveAspect; ]
2.  Exercises 7, 9, 11 on page 305.
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
3.  Exercises 25-26 on page 305.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
The Inverse Hyperbolic Functions
:[font = text; inactive; preserveAspect; ]
The inverse hyperbolic functions are important for the same reason that the inverse trigonometric functions are important: the are needed to evaluate certain integrals.
:[font = subsection; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; preserveAspect; ]
We can invert the sinh function by the same techniques used above:
:[font = input; preserveAspect; ]
Solve[ y==Sinh[x], x ]
:[font = text; inactive; preserveAspect; ]
Like the inverse trig functions (arcsin, etc.), the inverse hyperbolic functions have their own definitions: arcsinh, arccosh, arctanh, arccoth, arcsech, and arccsch.  
;[s]
15:0,0;33,1;39,2;108,3;116,4;117,5;125,6;126,7;134,8;135,9;143,10;144,11;152,12;157,13;165,14;185,-1;
15:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
Like all inverse functions, these are bound by the fundamental relationship:
                x = arcsinh y if and only if sinh x = y
;[s]
4:0,0;77,1;107,2;121,3;132,-1;
4:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
This can be verified directly:
:[font = input; preserveAspect; ]
Sinh[ArcSinh[y]]  //  Simplify
:[font = text; inactive; preserveAspect; ]
Since the hyperbolic functions are defined in terms of the exponential function, it is not surprising that their inverses are expressed in terms of logarithms.  The following formula is derived on page 303:
        ArcSinh[x] = Log[x + Sqrt[1+x^2]]
Here is one way to verify this:
;[s]
3:0,0;207,1;249,2;281,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; plain; fontName = "Courier"; ]
Sinh[ Log[x + Sqrt[1+x^2]] ]  //  Simplify
:[font = text; inactive; preserveAspect; ]
These logarithmic formulas make it easy to obtain the derivatives of the inverse hyperbolic functions:
:[font = input; preserveAspect; ]
ArcSinh'[x]
:[font = input; preserveAspect; ]
ArcCosh'[x]
:[font = input; preserveAspect; ]
ArcTanh'[x]
:[font = input; preserveAspect; ]
ArcCoth'[x]
:[font = input; preserveAspect; ]
ArcSech'[x]
:[font = input; preserveAspect; ]
ArcCsch'[x]
:[font = text; inactive; preserveAspect; ]
These, of course, produce new integral formulas:
:[font = input; preserveAspect; ]
Integrate[ 1/Sqrt[1+x^2], x ]
:[font = text; inactive; preserveAspect; ]
Notice the analog between that integral formula and this one:
:[font = input; preserveAspect; endGroup; ]
Integrate[ 1/Sqrt[1-x^2], x ]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
1.  Exercises 15-16 on page 305.
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
2.  Exercise 21 on page 305.
^*)