(*^

::[paletteColors = 128; currentKernel; 
	fontset = title, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakBelow, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	next21StandardFontEncoding; ]
:[font = title; inactive; Cclosed; preserveAspect; startGroup; ]
Lab 4: Solids of Revolution 
:[font = text; inactive; preserveAspect; ]
This lab is based upon Section 8.2 in Stein.  Also see pages 168-174 in the Guidebook by Crooke and Ratcliffe.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Graphing the Surface
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
First execute the following command:
:[font = input; preserveAspect; ]
Surface[fun_,u1:{u_,umin_,umax_}] :=
	ParametricPlot3D[{fun Cos[t], u, fun Sin[t]},
		u1,{t,0,2Pi}, ViewPoint -> {8,umax+1,umax+1} ]
:[font = text; inactive; preserveAspect; endGroup; ]
This defines the command Surface which will graph surfaces of revolution about the x-axis:
;[s]
3:0,0;24,1;33,2;91,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is Example 4 on page 394:
:[font = input; preserveAspect; endGroup; ]
f[x_] := E^-x
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Its graph is:
:[font = input; preserveAspect; endGroup; ]
Plot[ f[x], {x,1,2} ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here is the surface obtained by revolving that curve about the x-axis:
:[font = input; preserveAspect; ]
Surface[ f[x], {x,1,2} ];
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
Notice that the graph is really a collection of flat panels stitched together to form a patchwork quilt that closely matches the actual surface.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
For each of the following functions:
(a)  define f;
(b)  plot the graph of f over the interval indicated;
(c)  plot the surface obtained by revolving the graph of f about the x-axis;
:[font = text; inactive; preserveAspect; ]
1.  Exercise 9 on page 395.
:[font = text; inactive; preserveAspect; ]
2.  Exercise 10 on page 395.
:[font = text; inactive; preserveAspect; ]
3.  Exercise 15 on page 395.  Use h=5 and a=2.  (See Quiz 4.)
:[font = text; inactive; preserveAspect; ]
4.  A sphere of radius 5.
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
5.  Exercise 19 on page 395.  To make give hole a radius of 3, use {x,-4,4} for the domain.
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
The Volume of the Solid of Revolution
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The formula for the volume of a solid obtained from revolving the graph of a function f about the x-axis is the integral of p*f(x)^2 over the same interval:
;[s]
6:0,0;85,1;88,2;124,3;125,4;133,5;156,-1;
6:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,0,0,Symbol,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
volume = Integrate[ Pi*f[x]^2, {x,a,b} ]
:[font = text; inactive; preserveAspect; endGroup; ]
This formula is often called the "disk method."
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Continue now with our previous example (Example 3 on page 394):
:[font = input; preserveAspect; ]
f[x_] := E^-x
:[font = input; preserveAspect; ]
Integrate[ Pi*f[x]^2, {x,1,2} ]
:[font = input; preserveAspect; ]
Simplify[%]
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
This is the answer in the book.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
For the same functions given in the first exercise set, have Mathematica compute and simplify the volume of the solid obtained by revolving the curve about the x-axis:
;[s]
3:0,0;61,1;72,2;167,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1.  Exercise 9 on page 395.
:[font = text; inactive; preserveAspect; ]
2.  Exercise 10 on page 395.
:[font = text; inactive; preserveAspect; ]
3.  Exercise 15 on page 395.  Use h=5 and a=2.
:[font = text; inactive; preserveAspect; ]
4.  A sphere of radius 5.
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
5.  Exercise 19 on page 395.  To make give hole a radius of 3, use {x,-4,4} for the domain.
:[font = section; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Using More Than One Curve
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
In this section, we'll need the external Mathematica package FilledPlot.m which is in the Graphics directory.  To access this package, execute the following command:
;[s]
7:0,0;41,1;52,2;60,3;74,4;89,5;99,6;166,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
<<Graphics/FilledPlot.m
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Examples
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The region R in Exercise 11 on page 395 is bounded between two curves: y=x^2 and y=x^3.  For efficient analysis, first define f, g, a, and b:
;[s]
15:0,0;11,1;12,2;70,3;77,4;80,5;86,6;125,7;127,8;128,9;130,10;131,11;133,12;138,13;140,14;142,-1;
15:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
f[x_] := x^2;
g[x_] := x^3;
a = 0;
b = 1;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Now use the FilledPlot command to graph the region R:
;[s]
3:0,0;51,1;52,2;54,-1;
3:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; endGroup; ]
FilledPlot[ {f[x],g[x]}, {x,a,b} ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The area of this region is:
:[font = input; preserveAspect; endGroup; ]
Integrate[ f[x]-g[x], {x,a,b} ]
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
To graph the solid generated by revolving this region about the x-axis, we'll need two separate surfaces:
:[font = input; preserveAspect; ]
s1 = Surface[ f[x], {x,a,b} ];
:[font = input; preserveAspect; ]
s2 = Surface[ g[x], {x,a,b} ];
:[font = text; inactive; preserveAspect; endGroup; ]
These appear very similar.  But we can tell from the FilledPlot above that the surface s2 must lie inside the surface s1 .
;[s]
6:0,0;52,1;64,2;86,3;90,4;117,5;124,-1;
6:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
The two surfaces together form the complete boundary of the solid:
:[font = input; preserveAspect; endGroup; ]
Show[ s1, s2 ];
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Here's another view that makes it easier to see that there is some space between the inside and outside surfaces:
:[font = input; preserveAspect; ]
Show[ s1, s2, ViewPoint -> {8,7,1} ];
:[font = text; inactive; preserveAspect; endGroup; ]
The ViewPoint option allows you to see the solid from different points of view.
:[font = text; inactive; Cclosed; pageBreak; preserveAspect; startGroup; ]
Now we can solve Exercise 11 by computing the volumes of the solids bounded by s1 and s2 separately and then taking their difference:
;[s]
5:0,0;78,1;82,2;85,3;89,4;1145,-1;
5:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = input; preserveAspect; ]
v1 = Integrate[ Pi*f[x]^2, {x,a,b} ]
:[font = input; preserveAspect; ]
v2 = Integrate[ Pi*g[x]^2, {x,a,b} ]
:[font = input; preserveAspect; ]
v = v1 - v2
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
That's called "making a difference..."
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Exercises
:[font = text; inactive; preserveAspect; ]
For each of the following:
(a)  define f, g, a, and b, ;
(b)  use the FilledPlot command to graph the given region R;
(c)  find the area of R;
(d)  define s1 and s2 to be the bounding surfaces for the solid of revolution;
(e)  show the resulting solid, from several viewpoints;
(f)  find the volume of the solid.
;[s]
19:0,0;38,1;40,2;41,3;43,4;44,5;46,6;51,7;53,8;69,9;81,10;115,11;116,12;140,13;141,14;154,15;158,16;161,17;165,18;312,-1;
19:1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
:[font = text; inactive; preserveAspect; ]
1.  Exercise 12 on page 395.
:[font = text; inactive; preserveAspect; ]
2.  Exercise 13 on page 395.
:[font = text; inactive; preserveAspect; ]
3.  Exercise 14 on page 395.  Use h=5 and a=2.
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
4.  Let R be the circle bounded above by y=3+Sqrt[1-x^2] and below by
    y=3+Sqrt[1-x^2] .  The resulting solid of revolution is a torus (like a doughnut).
;[s]
7:0,0;8,1;9,2;40,3;57,4;73,5;90,6;157,-1;
7:1,11,8,Times,0,12,0,0,0;1,10,8,Times,2,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,11,8,Times,0,12,0,0,0;
^*)